1 2 3 Previous Next 223 Replies Latest reply: Nov 7, 2013 2:25 PM by petermac87 Branched to a new discussion.
Keith Richardson Level 1 Level 1 (5 points)

I really like Unsanity's WindowShade X and Labels X haxies which I began using with Tiger and also installed last December on a Snow Leopard machine. I have not had any trouble with them on either system. Checking the Internet, I can't find any info about whether or not they work in Lion, which I have not yet upgraded to. Anyone else dealing with or interested in this issue?

  • 1. Re: Is anyone able to use Unsanity haxies with Lion?
    Kappy Level 10 Level 10 (226,855 points)

    Most likely they don't.

  • 2. Re: Is anyone able to use Unsanity haxies with Lion?
    léonie Level 9 Level 9 (51,775 points)

    I couldn't log in under Lion, until I had disabled Fruit Menu and Application enhancer.

    I never tried Window shade, but I would assume that it also needs

    Application enhancer.

     

    Leonie

  • 3. Re: Is anyone able to use Unsanity haxies with Lion?
    Keith Richardson Level 1 Level 1 (5 points)

    Thanks, Leonie,

     

    Yes, both the haxies I mentioned require APE (Application enhance).

     

    Keith

  • 4. Re: Is anyone able to use Unsanity haxies with Lion?
    joolsca50 Level 1 Level 1 (0 points)

    I don't think I can survive wothout FruitMenu ;-) I'm going to wait until it's updated (I HOPE) before upgrading to Lion.

  • 5. Re: Is anyone able to use Unsanity haxies with Lion?
    Bluspacecow Level 1 Level 1 (40 points)

    I've actually just completed a full investigation into this.

     

    Application Enhancer has a built in compatibility checker for new OSes. It's sensing there's a new operating system major point update and is hence turning off all Ape modules automatically.

     

    Ape Modules have a entries in their info.plist that denotes what OS they can load on. I can see a "APELeopardCertified" and a "APESnowLeopardCertified" but no "APELionCertified". Adding it seems to do nothing. It appears APE has to be updated so the modules can load - aped doesn't seem to be running at launch.

     

    And no despite what other may tell you it is not because they need PPC code - that's a misunderstanding caused by the requirements on the website not being well written - Rosetta is only required to run it on PPC macs.  Application Enhancer and hence any of Unsanity's taxies has been Intel ready since APE 2.0.

     

    In fact since Ape 2.6 no module is even allowed to load unless it has a PPC code , Intel code and 64 bit intel code in it's module.   Unsanity need to do a round of updating here.

  • 6. Re: Is anyone able to use Unsanity haxies with Lion?
    Michael Wayne Level 4 Level 4 (1,405 points)

    I love Windowshade aswell  but on Lion for the time being, "Don't even try to to install any 'haxies' that change things".

    Best practice is to wait and see who has the problems and what work arounds and updates have proved stable.

     

    There is an update to Lion due to fix some of the major faults that have appeared. You risk a bad update which will make you cry. I know because it happened once to me, and I learnt my lesson and never did it again.

    Cheers

  • 7. Re: Is anyone able to use Unsanity haxies with Lion?
    herrbutzie Level 1 Level 1 (0 points)

    This is the end of the road for Unsanity. All their  haxies require Rosetta not just the APE to work and with OS 10.7 (Lion) Apple has removed Rosetta. There is no way for Unsanity to get around this. It was fun while it lasted but it's time to move on if you wanna use Lion, If you need Unsanity Haxies revert back to Snow Leopard.

     

  • 8. Re: Is anyone able to use Unsanity haxies with Lion?
    Bluspacecow Level 1 Level 1 (40 points)

    Can I politely ask you if you read a single word of what I typed above ?

     

    Unsanity Haxies not working on Lion has _nothing_ to do with Rosetta.

     

    In fact since APE 2.6 they are required to have code in them for PPC , Intel and Intel 64 bit.   You can confirm this yourself by pulling apart any application enchancer .ape file and running the file under Contents-> MacOS past a file command :

     

    $ file /Library/Application\ Enhancers/WindowShade\ X.ape/Contents/MacOS/WindowShade\ X

     

    /Library/Application Enhancers/WindowShade X.ape/Contents/MacOS/WindowShade X: Mach-O universal binary with 3 architectures

    /Library/Application Enhancers/WindowShade X.ape/Contents/MacOS/WindowShade X (for architecture i386):          Mach-O bundle i386

    /Library/Application Enhancers/WindowShade X.ape/Contents/MacOS/WindowShade X (for architecture ppc):          Mach-O bundle ppc

    /Library/Application Enhancers/WindowShade X.ape/Contents/MacOS/WindowShade X (for architecture x86_64):          Mach-O 64-bit bundle x86_64

     

    See the i386 & x86_64 architectures ? That's for Intel Macs and Intel Mac 64 bit respectively.

     

    Like I explained above.

     

    APE checks at boot that it's certified to work with that OS. If it's not and it detects a newer Operating system it disabes itself.  It has nothing to do with Rosetta. Absolutely nothing.

     

    The only thing Unsanity need to do is put in APE that the maximum O/S version is 10.8 , put in a info.plist value for Lion then put out new haxies with this new APELionCertified.  It has nothing to do with not having Rosetta at all.

  • 9. Re: Is anyone able to use Unsanity haxies with Lion?
    Stephen Schulte2 Level 2 Level 2 (170 points)

    Great information - but is Unsanity still going to support HAXIES?  Their web site seems outdated, and many Haxies are only just Snow Leopard ready.  I use Labels-X to color-code the icons (not the icon label) and that works great in Snow Leopard (but not 10.5 Leopard…) - and I'm waiting on updates to LION before moving to LION - but don't see that Unsanity is even talking about LION now - it seems their last updates are months old…

     

    Any and all comments appreciated!

     

    Best regards,

     

    Steve Schulte

    Thursday 4 August 2011

  • 10. Re: Is anyone able to use Unsanity haxies with Lion?
    mortfe Level 1 Level 1 (0 points)

    Unsanity S---S. Don't even have the decency the reply to any of the 3 emails I sent reguarding an update. Don't know if they plan to support Lion or not. They have been around for a long lime - hate to see them 'bolt'. At least let us know one way or another. Thanks guys.

  • 11. Re: Is anyone able to use Unsanity haxies with Lion?
    Jim from Mesa Level 1 Level 1 (0 points)

    None of these haxies work with Lion. Unsanity takes an eternity to revise their programs to be compatible with new Mac systems. Be patient; they'll get around to it.

  • 12. Re: Is anyone able to use Unsanity haxies with Lion?
    Working Stiff Level 1 Level 1 (0 points)

    This happens over and over again w unsanity.

    Can anyone give me a rational or technical reason why Apple stopped this feature/user interface.

     

    I find it incredibly useful, functional, et. al. And having learned since Snow Leopard, Lion will have to wait

    while unsanity gets their act together. ***** really, but to me it's Apple's fault as much as unsanity's.

     

    WS

  • 13. Re: Is anyone able to use Unsanity haxies with Lion?
    Loren Ryter Level 2 Level 2 (495 points)

    I totally agree with the above statement. There's no technical reason Apple couldn't support a WindowShade feature in OS X.  They just have refused to listen to users who want it back from OS 9.  Thus leaving it to Unsanity alone to pull off the hacks.  It's very frustrating situation. I waited a month or more to upgrade to SL, and then lived uneasily with SL without WS for months after that.  Still one of the major reasons I'm holding off on Lion.

     

    I hope what BlueSpaceCow says is true. If that's the case, wouldn't it amount to something that could be easily hacked by modifying the info.plist file?  Then we could see whether WS works "as-is" or not on Lion.

     

    Even better, Apple would recognize this is a feature a small but loyal group of very, very, long-time Apple users really, really want, and at least provide it as an option.

  • 14. Re: Is anyone able to use Unsanity haxies with Lion?
    Bluspacecow Level 1 Level 1 (40 points)

    It's definately possibly considering a competing utility company has already put out something that does something like Windowshade does.

     

    The only issue is it's not perfect and doesn't have the same feature set WS does. And it's also more expensive to register then WS. It's not as highly polished as Window Shade is.

     

    The issue isn't being able to hack a value into the .plist.    The ape framework has to be aware of what that value means.  Currently I haven't found any place to change this.

     

    It's like this. You easily add whatever value you like into any plist but if the program reading that doesn't understand what that value is used for and further more understands what code to run because of it the programs just going to ignore that value.  It will just look at you funny as it's not something it understands or has been coded for.

     

    There's a APELeopardCertified as well as a APETigerCertified. The ape process understands these 2 values in it's code so will load a haxie with those in it.  It doesn't have any code for APELionCertified - that was just my exstrapolation at the time.

     

    But in theory. _IF_ You could make the ape process understand it should load for Lion you should _in theory_ make it load the framework on Lion and _in theory_ load the haxies. Only problem is - I don't have access to their source code. And I wouldn't know the slighest idea on how to modify it to make it load.

1 2 3 Previous Next